com.jscape.inet.mft.workflow

## Class Action.ActionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.mft.workflow.Action.ActionException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing interface:
    Action

      public static class Action.ActionException
      extends java.lang.Exception

  Represents an action execution error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionException(Action action)`
    `ActionException(java.lang.String message, Action action)`
    `ActionException(java.lang.String message, java.lang.Throwable cause, Action action)`
    `ActionException(java.lang.Throwable cause, Action action)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction()` Returns a parent action instance.
    `static Action.ActionException` | `wrap(java.lang.Throwable e, Action action)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionException

          public ActionException(Action action)

    - #### ActionException

          public ActionException(java.lang.String message,
                                 Action action)

    - #### ActionException

          public ActionException(java.lang.String message,
                                 java.lang.Throwable cause,
                                 Action action)

    - #### ActionException

          public ActionException(java.lang.Throwable cause,
                                 Action action)

  - ### Method Detail

    - #### wrap

          public static Action.ActionException wrap(java.lang.Throwable e,
                                                    Action action)

    - #### getAction

          public Action getAction()

      Returns a parent action instance.
      Returns:
        a parent action instance

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.